create type user_role as enum ('USER','ADMIN','EDITOR');

create table users(
id serial primary key,
username text unique not null,
name text,
surname text,
email text,
createts timestamptz not null default now(),
password text,
salt text,
updatets timestamptz not null default now(),
role_list user_role[] not null default ARRAY['USER'::user_role],
user_data jsonb
);

